Error on Install of latest Phoca Cart 3.5.4

Phoca Cart - complex e-commerce extension
User avatar
haserb
Phoca Member
Phoca Member
Posts: 30
Joined: 10 Dec 2019, 01:41

Error on Install of latest Phoca Cart 3.5.4

Post by haserb » 02 Nov 2020, 04:35

Hi
After performing a back up, I downloaded and prepared to install Phoca Cart 3.5.4. using Joomla installer. The following error message followed:

Warning
JInstaller: :Install: Error SQL Duplicate column name 'sku'
Extension Update: SQL error processing query: DB function failed with error number 1060
Duplicate column name 'sku'
SQL =
ALTER TABLE `#__phocacart_product_stock` ADD COLUMN `sku` varchar(255) NOT NULL DEFAULT '';
Package Update: There was an error installing an extension: com_phocacart_v3.5.4.zip
×
Error
Error installing package
Image

Tags:

User avatar
Jan
Phoca Hero
Phoca Hero
Posts: 43405
Joined: 10 Nov 2007, 18:23
Location: Czech Republic
Contact:

Re: Error on Install of latest Phoca Cart 3.5.4

Post by Jan » 02 Nov 2020, 12:15

Hi, see:
https://www.phoca.cz/blog/1100-solution ... components

See the part: Phoca Cart 3.5.4

Jan
If you find Phoca extensions useful, please support the project

User avatar
haserb
Phoca Member
Phoca Member
Posts: 30
Joined: 10 Dec 2019, 01:41

Re: Error on Install of latest Phoca Cart 3.5.4

Post by haserb » 02 Nov 2020, 17:38

Hi I read the suggested solution. Admittedly it says best if done by someone with advanced skills. I am a newbie at this. Is there another solution other than deleting and reinstalling? I have done a lot work customizing, adding content for this to occur as a result of an application update.

User avatar
haserb
Phoca Member
Phoca Member
Posts: 30
Joined: 10 Dec 2019, 01:41

Re: Error on Install of latest Phoca Cart 3.5.4

Post by haserb » 02 Nov 2020, 17:39

Hi I read the suggested solution. Admittedly it says best if done by someone with advanced skills. I am a newbie at this. Is there another solution other than deleting and reinstalling? I have done a lot work customizing, adding content for this to occur as a result of an application update. Also the current install seems to have been wrecked by the botched installation.

For example when I unzip the installation package and go to the aforementioned folder, I do not see anything resembling what is mentioned in the instructions:
2) Unzip the installation ZIP package, go to the above mentioned folder and search in files for the column name which was displayed in error message.

3) Open the file where this column name occurs and comment the whole SQL command (starting with ALTER TABLE ...) or delete it (Comments in SQL files are set per double dashes (--))
What I do see is a list of files labeled as 3.0.1.spl up to 3.5.4.sql . How are these files read? Which file do I open and how? This is all very confusing for new users.

User avatar
Jan
Phoca Hero
Phoca Hero
Posts: 43405
Joined: 10 Nov 2007, 18:23
Location: Czech Republic
Contact:

Re: Error on Install of latest Phoca Cart 3.5.4

Post by Jan » 02 Nov 2020, 19:31

Hi, please read my previous post. This is important notice: "See the part: Phoca Cart 3.5.4"

You don't need to do manual changes. The installation package for Phoca Cart 3.5.4 without the problematic update sql queries is completed and ready for installation. There is no need to do anything. Just install the package, this is all.

Jan
If you find Phoca extensions useful, please support the project

User avatar
haserb
Phoca Member
Phoca Member
Posts: 30
Joined: 10 Dec 2019, 01:41

Re: Error on Install of latest Phoca Cart 3.5.4

Post by haserb » 26 Nov 2020, 17:16

Hi
Ok, that's great! It resolves it!

User avatar
Jan
Phoca Hero
Phoca Hero
Posts: 43405
Joined: 10 Nov 2007, 18:23
Location: Czech Republic
Contact:

Re: Error on Install of latest Phoca Cart 3.5.4

Post by Jan » 28 Nov 2020, 18:44

Ok
If you find Phoca extensions useful, please support the project

Post Reply